<?php
/**
 * Widget status and select social channel and its setting functionality of the plugin.
 *
 * @author  : Ginger Plugins <gingerplugins@gmail.com>
 * @license : GPL2
 * */
defined('ABSPATH') or die('Direct Access is not allowed');
?>
<?php
$selectedChannels = [];
$channels         = get_post_meta($postId, "selected_channels", true);
if (empty($channels)) {
    $selectedChannels = [
        "whatsapp",
        "facebook_messenger"
    ];
}

if (!empty($channels)) {
    $channels         = trim($channels);
    $channels         = trim($channels, ",");
    $selectedChannels = explode(",", $channels);
}
?>

<div id="channel-settings" class="setting-tab active">
    <div class="setting-title"><?php esc_html_e("Select Channels", "sticky-chat-widget") ?></div>
    <div class="social-links" id="social-links-options">
        <ul class="social-buttons">
            <?php
            foreach ($socialIcons as $key=>$icon) {
                $class = in_array($icon['label'], $selectedChannels) ? "active" : "";
                ?>
                <li class="social-button social-icon <?php echo esc_attr($class); ?>" id="social-icon-<?php echo esc_attr($icon['label']) ?>" data-social="<?php echo esc_attr($icon['label']) ?>">
                    <a href="javascript:;" class="ssb-btn-<?php echo esc_attr($icon['label']) ?>" data-ginger-tooltip="<?php esc_html_e($icon['title'], 'sticky-chat-widget') ?>">
                        <span class="gsb-social-icon">
                            <?php echo $icon['icon'] ?>
                        </span>
                    </a>
                    <span class="scw-loader channel-loader"><span class="dashicons dashicons-update"></span></span>
                </li>
            <?php } ?>
        </ul>
    </div>
    <div class="selected-channels">
        <ul class="selected-button-settings">
            <?php
            if (!empty($selectedChannels)) {
                foreach ($selectedChannels as $channel) {
                    echo self::get_channel_settings($channel, $postId);
                }
            }
            ?>
        </ul>
    </div>
</div>