(function($) {
    "use strict";
    var animationActiveClass = "";
    var thisElementVal = "";
    var isAJAXinAction = 0;
    var thisElementSlug = "";
    var tempString = "";
    var inlineCSS = "";
    var channelString = "";
    var regExpression = "";
    var selectedDevice = "desktop";
    var animationInterval;
    var animationClass = "ginger-menu-fade";
    var errorCounter = 0;
    var errorMessage = "";
    var formStatus = false;
    var id = 0;
    var country_list = "";
    var buttonPressed = "";
    var previewPopup = false;
    var formOptions = {
        beforeSubmit:  showRequest,  // pre-submit callback
        success:       showResponse
    };
    /* Color Picker */
    var colorOptions = {
        change: setColorChanges,
        hide: true,
        palettes: true
    };
    $(document).ready(function(){
        $(document).on("click", ".sticky-help-button button", function(e){
            e.stopPropagation();
            $(".sticky-help-form").toggleClass("active");
            $(".sticky-help-form #name").focus();
        });
        $(document).on("click", ".hide-help-form", function(){
            $(".sticky-help-form").removeClass("active");
        });
        $(document).on("submit", "#help_form", function(e){
            errorCounter = 0;
            $(this).find(".ginger-error-message").remove();
            $(this).find(".ginger-input-error").removeClass("ginger-input-error");
            $(this).find(".is-required").each(function(){
                if($(this).val() == "" || $(this).val() == "0") {
                    tempString = $(this).attr("data-label");
                    errorMessage = BUTTON_SETTINGS.required_message;
                    errorMessage = errorMessage.replace("%s", tempString);
                    $(this).after("<span class='ginger-error-message'>"+errorMessage+"</span>");
                    $(this).addClass("ginger-input-error");
                    errorCounter++;
                }
            });

            if(errorCounter == 0) {
                $("#ajax-loader").addClass("active");
                $(".ginger-form-field .ginger-form-button").attr("disabled", true);
                $.ajax({
                    url: BUTTON_SETTINGS.ajax_url,
                    data: $("#help_form").serialize(),
                    type: 'post',
                    success: function(response) {
                        $("#ajax-loader").removeClass("active");
                        $(".ginger-form-field .ginger-form-button").attr("disabled", false);
                        response = $.parseJSON(response);
                        if(response.errors.length > 0) {
                            for(var i=0; i<response.errors.length; i++) {
                                $("#"+response.errors[i]['key']).addClass("ginger-input-error");
                                $("#"+response.errors[i]['key']).after("<span class='ginger-error-message'>"+response.errors[i]['message']+"</span>");
                            }
                        } else if(response.status == 0) {
                            $(".ajax-response").html(response.message);
                            $(".ajax-response").addClass("error").removeClass("success").show();
                        } else if(response.status == 1) {
                            $(".ajax-response").html(response.message);
                            $(".ajax-response").addClass("success").removeClass("error").show();
                            $("#help_form .gp-form-field .gp-form-input input, #help_form .gp-form-field .gp-form-input textarea").val("");
                        }
                    }
                })
            } else {
                $(this).find(".ginger-input-error:first").focus();
            }
            return false;
        });

        $(document).on("submit", "#ginger_sb_form", function(){
            errorCounter = 0;
            $(this).find(".ginger-error-message").remove();
            $(this).find(".ginger-input-error").removeClass("ginger-input-error");
            $(".gp-modal-content").addClass("form-loading");
            $(this).find(".is-required").each(function(){
                if($(this).val() == "" || $(this).val() == "0") {
                    tempString = $(this).attr("data-label");
                    errorMessage = BUTTON_SETTINGS.required_message;
                    errorMessage = errorMessage.replace("%s", tempString);
                    $(this).after("<span class='ginger-error-message'>"+errorMessage+"</span>");
                    $(this).addClass("ginger-input-error");
                    errorCounter++;
                }
            });
            if(errorCounter == 0) {
                var widgetStatus = $(this).find("#check_widget_status").val();
                $(".gp-modal-content").removeClass("form-loading");
                console.log(widgetStatus)
                if(widgetStatus == "no") {
                    if(formStatus) {
                        $(this).ajaxSubmit(formOptions);
                    } else {
                        $(".form-confirmation").show();
                        $(".save-confirm-btn").focus();
                        return false;
                    }
                } else {
                    $(this).ajaxSubmit(formOptions);
                }
            } else {
                $(this).find(".ginger-input-error:first").focus();
                if($(".gsb-settings input").hasClass("ginger-input-error")) {
                    $(".setting-tab").removeClass("active");
                    $(".widget-sidebar ul li a").removeClass("active");
                    $("#channel-settings").addClass("active");
                    $(".widget-sidebar").find("ul li a[href='channel-settings']").addClass("active");
                }
                //const swipeHandler = new SwipeHandler();
                //const toastsHandler = new ToastsHandler(swipeHandler);
                //toastsHandler.createToast({
                //    type: "error",
                //    icon: "info-circle",
                //    message: "Some values are missing",
                //    duration: 5000
                //});
            }
            return false;
        });

        $(document).on("click", ".save-confirm-btn", function(){
            $(this).closest("#ginger_sb_form").find("#check_widget_status").val("yes");
            formStatus = true;
            $("#ginger_sb_form").trigger("submit");
        });

        $(document).on("click", ".no-confirm-btn", function(){
            formStatus = true;
            $("#ginger_sb_form").trigger("submit");
        });

        $(document).on("blur",".is-required", function(){
            if($(this).val() == "") {
                if(!$(this).hasClass("ginger-input-error")) {
                    tempString = $(this).attr("data-label");
                    errorMessage = BUTTON_SETTINGS.required_message;
                    errorMessage = errorMessage.replace("%s", tempString);
                    $(this).after("<span class='ginger-error-message'>" + errorMessage + "</span>");
                    $(this).addClass("ginger-input-error");
                }
            } else {
                $(this).removeClass("ginger-input-error");
                $(this).parent().find(".ginger-error-message").remove();
            }
        });

        $("#ginger_sb_form input[name='ginger_sb_position']").on("change", function(){
            thisElementVal = $(this).val();
            if(thisElementVal == "custom") {
                $("#custom-position").addClass("active");
            } else {
                $("#custom-position").removeClass("active");
            }
        });

        $(document).on("click", "input[name='trigger_rules[on_scroll]']", function (){
            if($(this).is(":checked")) {
                $("input[name='trigger_rules[page_scroll]']").prop("disabled", false);
            } else {
                $("input[name='trigger_rules[page_scroll]']").prop("disabled", true);
            }
        });

        $(document).on("click", "input[name='trigger_rules[after_seconds]']", function (){
            if($(this).is(":checked")) {
                $("input[name='trigger_rules[seconds]']").prop("disabled", false);
            } else {
                $("input[name='trigger_rules[seconds]']").prop("disabled", true);
            }
        });


        /* Set Animation */
        $(document).on("change","#ginger_sb_animation", function(){
            tempString = $(this).attr("data-class");
            if(tempString) {
                $(".cta-button").removeClass(tempString);
                $(".single-btn .channel-btn a").removeClass(tempString);
            }
            $(this).attr("data-class",$(this).val());
            $(".cta-button").addClass($(this).val());
            $(".single-btn .channel-btn a").addClass($(this).val());
        });
        $("#ginger_sb_animation").trigger("change");

        /* Set Menu Animation */
        $(document).on("change","#ginger_menu_animation", function(){
            if(animationClass != "") {
                $(".button-list").removeClass(animationClass);
            }
            animationClass = $(this).val();
            setSocialButtonPreview();
        });

        $("#ginger_menu_animation").trigger("change");

        $(document).on("change", "#ginger_sb_form input[type='radio']", function () {
            if ($(this).closest(".ginger-color-list").length) {
                if ($(this).val() == "custom_color") {
                    $(this).closest(".ginger-form-right").find(".custom-color-for-element").addClass("active");
                } else {
                    $(this).closest(".ginger-form-right").find(".custom-color-for-element").removeClass("active");
                }
            }
        });

        $(".custom-color-picker").wpColorPicker(colorOptions);

        if ($("#wpadminbar").hasClass("mobile")) {
            $(".gp-sticky-box").addClass("mobile");
        }
        make_header_scticky();

        $(document).on("click",".remove-channel-setting", function(e){
            thisElementSlug = $(this).closest(".gsb-settings").data("button");
            $("#social-buttons-"+thisElementSlug+"-settings").remove();
            $("#social-icon-"+thisElementSlug).removeClass("active");

            saveChannelOrder();
        });

        $(document).on("click",".load-channel-settings", function(e){
            $(this).closest(".gsb-settings").toggleClass("active");
        });

        $(document).on("click","#social-links-options li", function(e){
            e.stopPropagation();
            thisElementSlug = $(this).data("social");
            $(this).addClass("check-loader");
            $(this).find(".channel-loader").addClass("active");
            if($(this).hasClass("active")) {
                $(this).removeClass("active");
                $("#social-buttons-"+thisElementSlug+"-settings").remove();
                $("#social-links-options li").removeClass("check-loader");
                $(".channel-loader").removeClass("active");
                saveChannelOrder();
            } else {
                var activeChannels = $("#social-links-options li.active").length;
                if (!isAJAXinAction) {
                    $(this).addClass("active");
                    var postId = $("#button_setting_id").val();
                    isAJAXinAction = 1;
                    $.ajax({
                        url: ajaxurl,
                        data: {
                            button: thisElementSlug,
                            postId: postId,
                            action: 'get_gb_settings'
                        },
                        type: 'post',
                        cache: false,
                        success: function (response) {
                            isAJAXinAction = 0;
                            response = $.parseJSON(response);
                            if (response.status == "1") {
                                $("#social-links-options li").removeClass("check-loader");
                                $(".channel-loader").removeClass("active");
                                $("#social-buttons-" + thisElementSlug + "-settings").remove();
                                $(".selected-button-settings").append(response.message);
                                $(".selected-button-settings li.gsb-settings:last-child a.load-channel-settings").trigger("click");
                                $(".selected-button-settings .gsb-input-value:last input").focus();
                            }
                            saveChannelOrder();
                            $(".color-picker:not(.wp-color-picker)").wpColorPicker(colorOptions);
                        }
                    })
                }
            }
        });

        $(document).on("keyup",".widget-settings input",function(){
            setSocialButtonPreview();
        });

        $(document).on("change",".widget-settings input, .widget-settings select, .preview-button",function(){
            setSocialButtonPreview();
        });

        $(document).on("keyup",".country-list-input input",function(){
            //country_list = BUTTON_SETTINGS.countries;
            var inputVal = $(this).val();
            //console.log(inputVal);
            if($.trim(inputVal) != "") {
                inputVal = inputVal.toLowerCase();
                $(".select-country > ul > li").each(function(){
                    if(($(this).text().toLowerCase()).indexOf(inputVal) == 0) {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
            } else {
                $(".select-country > ul > li").show();
            }
        });

        $(document).on("keyup",".selected-country-input input",function(){
            //country_list = BUTTON_SETTINGS.countries;
            var inputVal = $(this).val();
            //console.log(inputVal);
            if($.trim(inputVal) != "") {
                inputVal = inputVal.toLowerCase();
                $(".selected-country > ul > li").each(function(){
                    if(($(this).text().toLowerCase()).indexOf(inputVal) == 0) {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                });
            } else {
                $(".selected-country > ul > li").show();
            }
        });

        $(document).on("click",".add-country",function(){
            var find_val = $(this).closest('li').text();
            $(this).closest('li').addClass('hide');
            var dataCountry = $(this).closest('li').data('country');
            $(".selected-country ul").append("<li data-country='"+dataCountry+"' class='country-list'>"+find_val+"<span class='right remove-country'><i class='fa fa-minus-circle' aria-hidden='true'></i></span></li> <input type='hidden' id='country-name-"+dataCountry+"' name='gsb_country_rules[selected_country][]' value='"+dataCountry+"'>");
        });

        $(document).on("click",".remove-country",function(){
            var dataCountry = $(this).closest('li').data('country');
            $("#county-"+dataCountry).removeClass("hide");
            var country_input = $("#country-name-"+dataCountry).val();
            if(country_input == dataCountry){
                $("#country-name-"+dataCountry).remove();
            }
            $(this).closest("li").remove();
        });

        $(document).on("click","input[type='checkbox']",function(){
            setSocialButtonPreview();
        });

        for(var cIndex = 0; cIndex < 7; cIndex++) {
            if($("#time-range-"+cIndex).length) {
                $("#time-range-" + cIndex).slider({
                    range: true,
                    min: 0,
                    max: 1439,
                    values: [0, 1439],
                    slide: function (event, ui) {
                        var cIndex = $(ui.handle).closest(".weekday-input").attr("data-index");
                        var startTime = addLeadingZero(parseInt(ui.values[0]/60), 2)+":"+addLeadingZero((ui.values[0]%60),2);
                        var endTime = addLeadingZero(parseInt(ui.values[1]/60), 2)+":"+addLeadingZero((ui.values[1]%60),2);
                        $(".start-time_" + cIndex).text(startTime);
                        $(".end-time_" + cIndex).text(endTime);
                        $("#start_time_" + cIndex).val(ui.values[0]);
                        $("#end_time_" + cIndex).val(ui.values[1]);
                    }
                });
            }
        }

        /*sort channels*/
        // $(".selected-button-settings").sortable({
        //     placeholder: "social-chat-buttons-channel-placeholder",
        //     start: function (event, ui) {
        //         $(".position-icon a").addClass("grabbing");
        //     },
        //     stop: function (event, ui) {
        //         $(".position-icon a").removeClass("grabbing");
        //     },
        //     update: function (event, ui) {
        //         $(".position-icon a").removeClass("grabbing");
        //         saveChannelOrder();
        //         setSocialButtonPreview();
        //     }
        // });

        /* CTA Click event */
        $(document).on("click", ".channel-btn", function(){
            //window.clearInterval(animationInterval);
            if(!$(".ginger-sticky-buttons").hasClass("menu-open")) {

                $(".ginger-sticky-buttons").addClass("menu-open");
                $(".button-list").addClass(animationClass);
                $(".main-button").removeClass("active-tooltip");
                $(".main-button").addClass("hide-tooltip");
                //animationInterval = setInterval(function () {
                    $(".button-list .channel-btn:not(.active)").addClass("active");
                    if ($(".button-list .channel-btn:not(.active)").length == 0) {
                        //window.clearInterval(animationInterval);
                    }
                //}, 100);
            } else {
                //animationInterval = setInterval(function () {
                    $(".button-list .channel-btn.active").removeClass("active");
                    //if ($(".button-list .channel-btn.active").length == 0) {
                        //window.clearInterval(animationInterval);
                        //setTimeout(function() {
                            $(".ginger-sticky-buttons").removeClass("menu-open");
                            $(".button-list").removeClass(animationClass);
                            $(".main-button").removeClass("hide-tooltip");
                            $(".main-button").addClass("active-tooltip");
                        //}, 1000);
                    //}
                //}, 100);
            }
        });

        $(document).on("change", ".only-numeric", function(){
            regExpression = /^[0-9]+$/;
            var nValue = $(this).val();
            if (nValue.match(regExpression)) {

            } else {
                $(this).val(nValue.replace(/\D/g, ""));
            }
        });

        $(document).on("keyup", ".only-numeric", function(){
            regExpression = /^[0-9]+$/;
            var nValue = $(this).val();
            if (nValue.match(regExpression)) {

            } else {
                $(this).val(nValue.replace(/\D/g, ""));
            }
        });

        $(".color-picker").wpColorPicker(colorOptions);

        /* load font */
        $(document).on("change", "#ginger_sb_font_family", function(){
            $("#gsb-google-font").remove();
            var font_family = $(this).val();
            if(font_family != "" && font_family != "Arial" && font_family != "Tahoma" && font_family != "Verdana" && font_family != "Helvetica" && font_family != "Times New Roman" && font_family != "Trebuchet MS" && font_family != "Georgia") {
                $("head").append("<link id='gsb-google-font' href='https://fonts.googleapis.com/css?family="+ $(this).val() +"' rel='stylesheet' type='text/css' >");
            }
            if(font_family == "") {
                $(".ginger-sticky-buttons").css("font-family", "-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Oxygen-Sans,Ubuntu,Cantarell,Helvetica Neue,sans-serif");
            } else {
                $(".ginger-sticky-buttons").css("font-family", $(this).val());
            }
        });
        $("#ginger_sb_font_family").trigger("change");

        setSocialButtonPreview();
        setColorChanges();

        // $(document).on("change", "input[name='device_switch']", function(){
        //     setSocialButtonPreview();
        // });
        //
        // $(document).on("change", "input[name='preview_device_switch']", function (){
        //     setPreviewPopup();
        // });

        $(document).on("change", "input[type='radio']", function(){
            setSocialButtonPreview();
        });

        $(document).on("click", ".upgrade-link, a.ginger-link, .ginger-upgrade-link, .img-upgrade-btn, .upgrade-link-btn", function(e){
            e.preventDefault();
            $("#premium-features").show();
        });

        $(document).on("click", ".ginger-popup-content", function(e){
            e.stopPropagation();
        });

        $(document).on("click", ".close-ginger-popup, .ginger-popup-box-bg", function(e){
            e.preventDefault();
            $("#premium-features").hide();
            $("#pro-features").hide();
        });

        $(document).on("click", ".remove-rule", function(e){
            $(this).closest(".page-rule").remove();
        });

        $(document).on("click", ".gp-modal-bg, .gp-modal-close-btn, .hide-gp-modal", function() {
            $(this).closest(".gp-modal").removeClass("active");
        });

        $(document).on("click", ".sticky-chat-widget-status", function(){
            var isChecked = $(this).is(":checked")?"yes":"no";
            $.ajax({
                url: BUTTON_SETTINGS.ajax_url,
                data: {
                    setting_id: $(this).closest("tr").data("id"),
                    nonce: $(this).closest("tr").data("nonce"),
                    status: isChecked,
                    action: "gsb_buttons_change_status"
                },
                type: 'post'
            });
        });

        $(document).on("click", ".pro-premium-features", function(){
            $("#pro-features").show();
        });

        $(document).on("click", ".close-ginger-popup, .ginger-popup-box-bg", function(){
            $("#premium-features").hide();
        });

        $(document).on("click", ".remove-widget", function(){
            id = $(this).closest("tr").data("id");
            $("#delete-widget").addClass("active");
        });

        $(document).on("click", "#delete_widget:not(.disabled)", function(e){
            $(this).addClass("disabled");
            $(this).closest(".gp-modal").find(".gp-modal-content").addClass("form-loading");
            e.preventDefault();
            $.ajax({
                url: BUTTON_SETTINGS.ajax_url,
                data: {
                    widget_id: id,
                    nonce: $("tr.gsb-buttons-col-"+id).data("nonce"),
                    action: "gsb_buttons_remove_widget"
                },
                type: 'post',
                success: function(responseText) {
                    $("#delete-widget").removeClass("active");
                    $("#delete_widget").removeClass("disabled");
                    $(this).closest(".gp-modal").find(".gp-modal-content").removeClass("form-loading");
                    responseText = $.parseJSON(responseText);
                    const swipeHandler = new SwipeHandler();
                    const toastsHandler = new ToastsHandler(swipeHandler);
                    if(responseText.status == 1) {
                        $("tr.gsb-buttons-col-"+id).remove();
                        toastsHandler.createToast({
                            type: "success",
                            icon: "info-circle",
                            message: responseText.message,
                            duration: 5000
                        });
                        setTimeout(function(){
                            window.location.reload();
                        },1000);
                    } else {
                        $(".save-changes").prop("disabled", false);
                        toastsHandler.createToast({
                            type: "error",
                            icon: "info-circle",
                            message: responseText.message,
                            duration: 5000
                        });
                    }
                }
            });
        });

        $(document).keydown(function(e) {
            if (e.keyCode == 27) {
                $(".gp-modal").removeClass("active");
                $("#premium-features").hide();
            }
        });

        $(document).on("click", ".preview-btn", function(){
            $("#preview_widget").addClass("active");
        });

        $(document).on("click", ".dropdown-button", function(e){
            e.stopPropagation();
            $(this).closest(".action-col").toggleClass("active");
        });

        $(document).on("click", "body, html", function(e){
            $(".action-col").removeClass("active");
            $(".sticky-help-form").removeClass("active");
        });

        $(document).on("click", ".sticky-help-form", function (e){
            e.stopPropagation();
        });

        $(document).on("click", ".add-new-widget", function (){
            $("#create-widget").addClass("active");
        });

        $(document).on("click", "#create_widget:not(.disabled)", function(e){
            var errorCount = 0;
            $(this).closest(".gp-modal-data").find(".ginger-error-message").remove();
            $(this).closest(".gp-modal-data").find(".ginger-input-error").removeClass("ginger-input-error");
            $(this).closest(".gp-modal-data").find(".is-required").each(function(){
                if($(this).val() == "" || $(this).val() == "0") {
                    tempString = $(this).attr("data-label");
                    errorMessage = BUTTON_SETTINGS.required_message;
                    errorMessage = errorMessage.replace("%s", tempString);
                    $(this).after("<span class='ginger-error-message'>"+errorMessage+"</span>");
                    $(this).addClass("ginger-input-error");
                    errorCount++;
                }
            });
            e.preventDefault();
            if(errorCount == 0) {
                $(this).addClass("disabled");
                $(this).closest(".gp-modal").find(".gp-modal-content").addClass("form-loading");
                $.ajax({
                    url: BUTTON_SETTINGS.ajax_url,
                    data: {
                        widget_title: $("#widget_title").val(),
                        nonce: BUTTON_SETTINGS.nonce,
                        action: "gsb_buttons_create_widget"
                    },
                    type: 'post',
                    success: function(responseText) {
                        $("#create-widget").removeClass("active");
                        $("#create_widget").removeClass("disabled");
                        $(this).closest(".gp-modal").find(".gp-modal-content").removeClass("form-loading");
                        responseText = $.parseJSON(responseText);
                        const swipeHandler = new SwipeHandler();
                        const toastsHandler = new ToastsHandler(swipeHandler);
                        if(responseText.status == 1) {
                            toastsHandler.createToast({
                                type: "success",
                                icon: "info-circle",
                                message: responseText.message,
                                duration: 5000
                            });
                            setTimeout(function(){
                                window.location = responseText.data.URL;
                            },1000);
                        } else {
                            $(".save-changes").prop("disabled", false);
                            toastsHandler.createToast({
                                type: "error",
                                icon: "info-circle",
                                message: responseText.message,
                                duration: 5000
                            });
                        }
                    }
                });
            }else {
                $(this).find(".has-error:first").focus();
            }
        });

        $(document).on("click", ".rename-widget", function (){
            $("#rename-widget").addClass("active");
            id = $(this).closest("tr").data("id");
            var title = $(this).data("title");
            $("#rename_widget_title").val(title);
        });

        $(document).on("click", "#rename_widget:not(.disabled)", function(e){
            var errorCount = 0;
            $(this).closest(".gp-modal-data").find(".has-error").removeClass("has-error");
            $(this).closest(".gp-modal-data").find(".is-required").each(function(){
                if($.trim($(this).val()) == "") {
                    $(this).addClass("has-error");
                    errorCount++;
                }
            });
            e.preventDefault();
            if(errorCount == 0) {
                $(this).addClass("disabled");
                $(this).closest(".gp-modal").find(".gp-modal-content").addClass("form-loading");
                $.ajax({
                    url: BUTTON_SETTINGS.ajax_url,
                    data: {
                        widget_title: $("#rename_widget_title").val(),
                        widget_id: id,
                        nonce: $("tr.gsb-buttons-col-"+id).data("nonce"),
                        action: "gsb_buttons_rename_widget"
                    },
                    type: 'post',
                    success: function(responseText) {
                        $("#rename-widget").removeClass("active");
                        $("#rename_widget").removeClass("disabled");
                        $(this).closest(".gp-modal").find(".gp-modal-content").removeClass("form-loading");
                        responseText = $.parseJSON(responseText);
                        const swipeHandler = new SwipeHandler();
                        const toastsHandler = new ToastsHandler(swipeHandler);
                        if(responseText.status == 1) {
                            toastsHandler.createToast({
                                type: "success",
                                icon: "info-circle",
                                message: responseText.message,
                                duration: 5000
                            });
                            setTimeout(function(){
                                window.location.reload();
                            },1000);
                        } else {
                            $(".save-changes").prop("disabled", false);
                            toastsHandler.createToast({
                                type: "error",
                                icon: "info-circle",
                                message: responseText.message,
                                duration: 5000
                            });
                        }
                    }
                });
            }else {
                $(this).find(".has-error:first").focus();
            }
        });

        $(".sumoselect-font-family").SumoSelect({
            search: true,
        });

        $(document).on("click", ".default-state-option", function (){
            if($(this).val() == "open") {
                $(".default-state").addClass("active");
            } else {
                $(".default-state").removeClass("active");
            }
        });

        $(document).on("click", ".exit-intent", function (){
            if($(this).is(":checked")) {
                $(".exit-intent-setting").addClass("active");
            } else {
                $(".exit-intent-setting").removeClass("active");
            }
        });

        $(document).on("click", ".page-rule-type", function (){
            if($(this).val() == "custom_pages") {
                $(".custom-page-rules").addClass("active");
            } else {
                $(".custom-page-rules").removeClass("active");
            }
        });

        $(document).on("click", "#show_on_pages", function (){
            if($(this).is(":checked")) {
                $("#show-pages-rule").addClass("active");
            } else {
                $("#show-pages-rule").removeClass("active");
            }
        });

        $(document).on("click", "#hide_on_pages", function (){
            if($(this).is(":checked")) {
                $("#hide-pages-rule").addClass("active");
            } else {
                $("#hide-pages-rule").removeClass("active");
            }
        });

        $(document).on("click", ".time-rule-type", function (){
            if($(this).val() == "custom_time") {
                $(".custom-time-rules").addClass("active");
            } else {
                $(".custom-time-rules").removeClass("active");
            }
        });

        $(document).on("click", "#has_pending_message", function (){
            if($(this).is(":checked")) {
                $(".pending-message-setting").addClass("active");
            } else {
                $(".pending-message-setting").removeClass("active");
            }
        });

        /* Back and next button */
        $(document).on("click", ".back-button", function (){
            var page_id = $(this).closest(".widget-setting").find(".setting-tab.active").attr("id");
            if(page_id == "icon-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#channel-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#channel-settings']").addClass("active");
            } else if(page_id == "triggers-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#icon-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#icon-settings']").addClass("active");
            } else if(page_id == "targeting-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#triggers-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#triggers-settings']").addClass("active");
            }
        });

        $(document).on("click", ".next-button", function (){
            var page_id = $(this).closest(".widget-setting").find(".setting-tab.active").attr("id");
            if(page_id == "channel-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#icon-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#icon-settings']").addClass("active");
            } else if(page_id == "icon-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#triggers-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#triggers-settings']").addClass("active");
            } else if(page_id == "triggers-settings") {
                $(".widget-sidebar").find("ul li a").removeClass("active");
                $(".setting-tab").removeClass("active");
                $("#targeting-settings").addClass("active");
                $(".widget-sidebar").find("ul li a[href='#targeting-settings']").addClass("active");
            }
        });

        $(document).on("click", ".back-next-btn", function (){
            var page_id = $(this).closest(".widget-setting").find(".setting-tab.active").attr("id");
            if(page_id == "channel-settings") {
                $(".back-button").removeClass("active");
                $(".next-button").addClass("active");
            }else if(page_id == "icon-settings") {
                $(".back-button").addClass("active");
                $(".next-button").addClass("active");
            } else if(page_id == "triggers-settings") {
                $(".back-button").addClass("active");
                $(".next-button").addClass("active");
            } else if(page_id == "targeting-settings") {
                $(".back-button").addClass("active");
                $(".next-button").removeClass("active");
            }
        });

        $(document).on("click", ".widget-sidebar a,.back-next-btn", function (){
            $("html, body").animate({ scrollTop: 0 });
        });

        $(document).on("click", ".widget-sidebar a", function(e){
            e.preventDefault();
            if(!$(this).hasClass("active")) {
                $(".widget-sidebar a").removeClass("active");
                $(this).addClass("active");
                $(".setting-tab").removeClass("active");
                $($(this).attr("href")).addClass("active");
            }
            if($("#channel-settings").hasClass("active")) {
                $(".back-button").removeClass("active");
                $(".next-button").addClass("active");
            } else if($("#icon-settings").hasClass("active")) {
                $(".back-button").addClass("active");
                $(".next-button").addClass("active");
            } else if($("#triggers-settings").hasClass("active")) {
                $(".back-button").addClass("active");
                $(".next-button").addClass("active");
            } else if($("#targeting-settings").hasClass("active")) {
                $(".back-button").addClass("active");
                $(".next-button").removeClass("active");
            }
        });


        $(".sumoselect").SumoSelect();

    });

    $(window).on("scroll", function () {
        make_header_scticky();
        setHeader();
    });

    $(window).on("resize", function () {
        make_header_scticky();
        setPreviewPopup();
    });

    function setHeader() {
        if($(window).width() <= 600) {
            var topPosition = $(window).scrollTop();
            if(topPosition > 0) {
                $(".widget-sidebar").css("cssText","top: 0 !important");
            }
            if(topPosition == 0) {
                $(".widget-sidebar").css("cssText","top: 46px !important");
            }
        }
    }

    function setPreviewPopup() {
        if($(window).width() <= 1330) {
            previewPopup = true;
        } else {
            previewPopup = false;
        }
        if(previewPopup) {
            tempString = $("input[name='preview_device_switch']:checked").val();
            if(tempString == "mobile") {
                $(".preview-desktop-layout").removeClass("desktop-layout").addClass("mobile-layout");
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width() * 1));
                selectedDevice = "mobile";
            } else {
                $(".preview-desktop-layout").removeClass("mobile-layout").addClass("desktop-layout");
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width() * 0.6));
                selectedDevice = "desktop";
            }
        } else {
            tempString = $("input[name='device_switch']:checked").val();
            if(tempString == "mobile") {
                $(".preview-desktop-layout").removeClass("desktop-layout").addClass("mobile-layout");
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width() * 1.6));
                selectedDevice = "mobile";
            } else {
                $(".preview-desktop-layout").removeClass("mobile-layout").addClass("desktop-layout");
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width() * 0.6));
                selectedDevice = "desktop";
            }
        }

        if($(".preview-desktop-layout").hasClass("mobile-layout")) {
            $(".preview-mobile-btn").prop("checked", true);
        }
        if($(".preview-desktop-layout").hasClass("desktop-layout")) {
            $(".preview-desktop-btn").prop("checked", true);
        }

    }

    function setColorChanges() {
        var customCSS = "";
        customCSS += "<style>";

        $(".selected-button-settings .channel-bg-color").each(function(){
            tempString = $(this).val();
            $(this).closest("li.gsb-settings").find(".ginger-button-icon").css("background-color", tempString);
        });
        $(".selected-button-settings .channel-text-color").each(function(){
            tempString = $(this).val();
            $(this).closest("li.gsb-settings").find(".ginger-button-icon svg").css("color", tempString).css("fill", tempString);
        });

        /* Background Color */
        tempString = $("input[name='widget_settings[bg_color]']").val();
        $(".ginger-sticky-buttons .main-button .cta-button, .close-gsb-button").css("background-color", tempString);

        /* Icon Color */
        tempString = $("input[name='widget_settings[text_color]']").val();
        $(".ginger-sticky-buttons .main-button .cta-button, .close-gsb-button, .ginger-sticky-buttons .main-button .cta-button svg, .close-gsb-button svg").css("color", tempString).css("fill", tempString);

        tempString = $("input[name='widget_settings[message_bg_color]']").val();
        $(".scw-pending-message").css("background", tempString);

        tempString = $("input[name='widget_settings[message_text_color]']").val();
        $(".scw-pending-message").css("color", tempString);

        tempString = $("input[name='tooltip_settings[bg_color]']").val();
        customCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before{background-color: "+tempString+"}";
        customCSS += ".ginger-sticky-buttons [data-ginger-tooltip-location='left']:after{border-color: transparent transparent transparent "+tempString+";}";
        customCSS += ".ginger-sticky-buttons [data-ginger-tooltip-location='right']:after{border-color: transparent "+tempString+" transparent transparent;}";
        customCSS += ".ginger-sticky-buttons [data-ginger-tooltip-location='top']:after{border-color: "+tempString+" transparent transparent transparent;}";

        tempString = $("input[name='tooltip_settings[text_color]']").val();
        customCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before{color: "+tempString+"}";

        $(".selected-button-settings .channel-bg-hover-color").each(function(){
            tempString = $(this).closest("li.gsb-settings").attr("data-button");
            if(tempString != "instagram" || $(this).val() != "#df0079") {
                customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + ":hover, .ginger-button-icon.ssb-btn-bg-" + tempString + ":focus ,.ginger-sticky-buttons a.channel-" + tempString + ":hover, .ginger-sticky-buttons a.channel-" + tempString + ":focus {background: " + $(this).val() + " !important;}";
            }
        });
        $(".selected-button-settings .channel-text-hover-color").each(function(){
            tempString = $(this).closest("li.gsb-settings").attr("data-button");
            customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + ":hover svg, .ginger-button-icon.ssb-btn-bg-" + tempString + ":focus svg, .ginger-sticky-buttons a.channel-"+tempString+":focus svg, .ginger-sticky-buttons a.channel-"+tempString+":hover svg {color: "+$(this).val()+" !important; fill: "+$(this).val()+" !important;}";
            if(tempString == "slack" && $(this).val() != "#ffffff") {
                customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + ":hover svg path, .ginger-button-icon.ssb-btn-bg-" + tempString + ":focus svg path, .ginger-sticky-buttons a.channel-"+tempString+":focus svg path, .ginger-sticky-buttons a.channel-"+tempString+":hover svg path {fill: "+$(this).val()+" !important;}";
            }
        });
        $(".selected-button-settings .channel-bg-color").each(function(){
            tempString = $(this).closest("li.gsb-settings").attr("data-button");
            if(tempString != "instagram" || $(this).val() != "#df0079") {
                customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + ", .ginger-sticky-buttons a.channel-" + tempString + " {background: " + $(this).val() + " !important;}";
            }
        });
        $(".selected-button-settings .channel-text-color").each(function(){
            tempString = $(this).closest("li.gsb-settings").attr("data-button");
            customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + " svg, .ginger-sticky-buttons a.channel-" + tempString + ", .ginger-sticky-buttons a.channel-" + tempString + " svg {color: " + $(this).val() + " !important; fill: " + $(this).val() + " !important;}";
            if(tempString == "slack" && $(this).val() != "#ffffff") {
                customCSS += ".ginger-button-icon.ssb-btn-bg-" + tempString + ":not(:hover) svg path, .ginger-sticky-buttons a.channel-" + tempString + ":not(:hover), .ginger-sticky-buttons a.channel-" + tempString + ":not(:hover) svg path {fill: " + $(this).val() + " !important;}";
            }
        });

        if($(".btn-for-"+selectedDevice+":checked").length > 1) {
            tempString = $("input[name='widget_settings[interaction_bg_color]']").val();
            customCSS += ".ginger-sticky-buttons .main-button a:hover, .ginger-sticky-buttons .main-button a:focus {background-color: "+tempString+" !important;}";

            tempString = $("input[name='widget_settings[interaction_text_color]']").val();
            customCSS += ".ginger-sticky-buttons .main-button a:hover, .ginger-sticky-buttons .main-button a:focus {color: " + tempString + " !important;}";
            customCSS += ".ginger-sticky-buttons .main-button a:hover svg, .ginger-sticky-buttons .main-button a:focus svg {fill: " + tempString + " !important;}";
        }

        customCSS += "</style>";
        $("head").append(customCSS);

    }

    function addLeadingZero(n, len){
        var s = n.toString();
        if (s.length < len) {
            s = ('0000000000' + s).slice(-len);
        }
        return s;
    }

    function setSocialButtonPreview() {

        if($("input[name='widget_settings[show_close_button]']").is(":checked")) {
            $(".hide-menu-close-click").addClass("active");
        } else {
            $(".hide-menu-close-click").removeClass("active");
        }

        $(".button-list .channel-btn.active").removeClass("active");
        $(".ginger-sticky-buttons").removeClass("menu-open");
        $(".button-list").removeClass(animationClass);
        $(".main-button").removeClass("hide-tooltip");
        $(".main-button").addClass("active-tooltip");

        setPreviewPopup();

        if($("#widget_icon_size").val() == "" ) {
            $(".ginger-sticky-buttons").hide();
            return;
        }
        if($(".btn-for-"+selectedDevice+":checked").length > 0) {
            channelString = "";
            if($(".btn-for-"+selectedDevice+":checked").length > 0) {
                $(".btn-for-"+selectedDevice+":checked").each(function(){
                    var socialIcon = $(this).closest("li.gsb-settings").find(".gsb-free-settings .gsb-input-icon").html();
                    tempString = $(this).closest("li.gsb-settings").attr("data-button");
                    channelString += '<div class="channel-btn">';
                    channelString += "<a class='channel-"+tempString+"' href='javascript:;'>"+socialIcon+"</a>";
                    channelString += '</div>';
                });
                $(".ginger-sticky-buttons").show();
            } else {
                $(".ginger-sticky-buttons").hide();
            }

            /* CTA Text */
            tempString = $("#ginger_sb_call_to_action").val();

            $(".ginger-sticky-buttons .button-list .channel-btn").remove();
            if($(".btn-for-"+selectedDevice+":checked").length == 1) {
                $(".ginger-sticky-buttons").addClass("one-channel");
                //$(".ginger-sticky-buttons .cta-button").hide();
                $(".ginger-sticky-buttons .main-button .single-btn").html(channelString);
                $(".ginger-sticky-buttons .main-button .single-btn .ginger-button-icon").attr("data-ginger-tooltip", tempString);
                $(".ginger-sticky-buttons .main-button .single-btn .ginger-button-icon").addClass("active-tooltip");
                $(".ginger-sticky-buttons .main-button").removeAttr("data-ginger-tooltip");

                if(tempString == "") {
                    $(".ginger-sticky-buttons .main-button .single-btn .ginger-button-icon").removeAttr("data-ginger-tooltip");
                }

                $(".single-btn .channel-btn a").addClass($("#ginger_sb_animation").val());
                $(".single-btn").attr("data-ginger-tooltip-location", $(".single-btn .ginger-button-icon").data("ginger-tooltip-location"));
                $(".single-btn").attr("data-ginger-tooltip", $(".single-btn .ginger-button-icon").data("ginger-tooltip"));
                $(".single-btn .ginger-button-icon").removeAttr("data-ginger-tooltip-location");
                $(".single-btn .ginger-button-icon").removeAttr("data-ginger-tooltip");
                $(".single-btn").addClass("active-tooltip");
            } else {
                $(".ginger-sticky-buttons").removeClass("one-channel");
                $(".ginger-sticky-buttons").show();
                $(".ginger-sticky-buttons .main-button").show();
                $(".button-list").html(channelString);
                $(".ginger-sticky-buttons .main-button").attr("data-ginger-tooltip", tempString);
                $(".ginger-sticky-buttons .main-button .single-btn").html("");

                if(tempString == "") {
                    $(".ginger-sticky-buttons .main-button").removeAttr("data-ginger-tooltip");
                }
            }


            /* set icon */
            if($("input[name='widget_settings[chat_icon]']:checked").length == 0) {
                $("input[name='widget_settings[chat_icon]']:first").attr("checked", true);
            }
            tempString = $("input[name='widget_settings[chat_icon]']:checked").val();
            $(".ginger-sticky-buttons .main-button .cta-button").html($("#chat_icon_"+tempString).closest("li").find("span.svg-icon").html());



            /* Icon Size */
            tempString = parseInt($("input[name='widget_settings[icon_size]']").val());
            $(".channel-btn, .channel-btn a, .main-action-button").css("width", tempString).css("height", tempString).css("line-height", tempString+"px");
            $(".channel-btn span.ginger-button-icon").css("width", (tempString-20)).css("height", (tempString-20));
            $(".channel-btn i").css("line-height", tempString+"px");

            if($("input[name='widget_settings[border_radius]']").val() == '') {
                tempString = 0;
            }else {
                tempString = parseInt($("input[name='widget_settings[border_radius]']").val())+"px";
            }

            $(".channel-btn a, .channel-btn, .close-gsb-button, .channel-btn span.ginger-button-icon").css("border-radius", tempString).css("-moz-border-radius", tempString).css("-webkit-border-radius", tempString);

            /* Set Position */
            tempString = $("input[name='widget_settings[position]']:checked").val();
            if(tempString == "right") {
                $(".ginger-sticky-buttons").removeClass("left-position").addClass("right-position");
                $(".channel-btn, .channel-btn span.ginger-button-icon, .close-gsb-button, .single-btn").attr("data-ginger-tooltip-location", "left");
            } else if(tempString == "left") {
                $(".ginger-sticky-buttons").removeClass("right-position").addClass("left-position");
                $(".channel-btn, .channel-btn, .channel-btn span.ginger-button-icon, .close-gsb-button, .single-btn").attr("data-ginger-tooltip-location", "right");
            } else if(tempString == "custom") {
                tempString = $("#select-custom_position").val();
                if(tempString == "right") {
                    $(".ginger-sticky-buttons").removeClass("left-position").addClass("right-position");
                    $(".channel-btn, .channel-btn, .channel-btn span.ginger-button-icon, .close-gsb-button, .single-btn").attr("data-ginger-tooltip-location", "left");
                } else if(tempString == "left") {
                    $(".ginger-sticky-buttons").removeClass("right-position").addClass("left-position");
                    $(".channel-btn, .channel-btn, .channel-btn span.ginger-button-icon, .close-gsb-button, .single-btn").attr("data-ginger-tooltip-location", "right");
                }
            }

            if($("#menu_view_vertical").is(":checked")) {
                $(".ginger-sticky-buttons").removeClass("horizontal-menu").addClass("vertical-menu");
            } else {
                $(".button-list .channel-btn, .button-list .channel-btn span.ginger-button-icon").attr("data-ginger-tooltip-location", "top");
                $(".ginger-sticky-buttons").removeClass("vertical-menu").addClass("horizontal-menu");
            }

            if($("#default_state_click").is(":checked")) {
                $(".ginger-sticky-buttons").addClass("menu-open");
                $(".button-list").addClass($("#ginger_menu_animation").val());
                $(".main-button").addClass("hide-tooltip").removeClass("active-tooltip");
                $(".button-list .channel-btn").addClass("active");

                if($("#show_close_button").is(":checked")) {
                    $(".ginger-sticky-buttons").removeClass("has-no-close-button");
                } else {
                    $(".ginger-sticky-buttons").addClass("has-no-close-button");
                }
            } else {
                $(".ginger-sticky-buttons").removeClass("menu-open");
                $(".button-list").removeClass($("#ginger_menu_animation").val());
                $(".main-button").removeClass("hide-tooltip");
                $(".button-list .channel-btn").removeClass("active");
                $(".ginger-sticky-buttons").removeClass("has-no-close-button");
            }

            /* check for pending messages */
            if($("#has_pending_message").is(":checked")) {
                $(".pending-message-setting").addClass("active");
            } else {
                $(".pending-message-setting").removeClass("active");
            }

            $(".scw-pending-message").remove();
            if(($(".btn-for-"+selectedDevice+":checked").length == 1) || (($(".btn-for-"+selectedDevice+":checked").length > 1) && (!$("#default_state_click").is(":checked")))) {
                if($("#no_of_messages").val() != "" && $("#has_pending_message").is(":checked")) {
                    $(".gsb-main-action-button, .gsb-main-action-button > a, .single-btn > .channel-btn, .single-btn > .channel-btn a").append("<span class='scw-pending-message'>"+$("#no_of_messages").val()+"</span>");

                    tempString = 0;
                    $(".scw-pending-message").each(function(){
                        if(tempString < $(this).width()) {
                            tempString = $(this).width();
                        }else {
                            tempString = 10;
                        }
                        if(tempString < $(this).height()) {
                            tempString = $(this).height();
                        }else {
                            tempString = 10;
                        }
                    });

                    $(".scw-pending-message").width(tempString).height(tempString);
                }
            }

            setColorChanges();

            /* Tooltip Settings */
            inlineCSS = "<style>";

            var i = 0;
            var activeButtons =  $(".btn-for-"+selectedDevice+":checked").length;
            var widgetSize = parseInt($("input[name='widget_settings[icon_size]']").val());
            var menu_animation = $("#ginger_menu_animation").val();
            var buttonPosition = $("input[name='widget_settings[position]']:checked").val();
            for(i=0; i < activeButtons; i++) {
                if($("#menu_view_vertical").is(":checked")) {
                    if(menu_animation == "ginger-menu-none") {
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1); display: none;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1); display: block;}";
                    } else if(menu_animation == "ginger-menu-slide") {
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY("+((widgetSize + 5) * (activeButtons - i)) +"px) scale(1); transform: translateY("+((widgetSize + 5) * (activeButtons - i))+"px) scale(1); transition-delay: "+((i + 1)*0.090)+"s; opacity: 0; visibility:hidden;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px) scale(1); transform: translateY(0px)  scale(1);visibility: visible;opacity: 1;}";
                    } else if(menu_animation == "ginger-menu-fade"){
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1); opacity: 0; visibility: hidden; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1);  opacity: 1; visibility: visible;}";
                    } else if(menu_animation == "ginger-menu-spin"){
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px)  rotate(0deg); transform: translateY(0px) rotate(0deg); opacity: 0; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px) rotate(360deg); transform: translateY(0px)  rotate(360deg);opacity: 1;}";
                    } else if(menu_animation == "ginger-menu-pop"){
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px) scale(0); transform: translateY(0px) scale(0); transition-delay: "+((activeButtons - i - 1)*0.075)+"s;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px) scale(1); transform: translateY(0px) scale(1);}";
                    } else {
                        inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1); display: none;}";
                        inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateY(0px); transform: translateY(0px)  scale(1); display: block;}";
                    }
                }else {
                    if(buttonPosition == "right") {
                        if(menu_animation == "ginger-menu-none") {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: none;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: block;}";
                        } else if(menu_animation == "ginger-menu-slide") {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(" + ((widgetSize + 8) * (activeButtons - i)) + "px) scale(1); transform: translateX(" + ((widgetSize + 8   ) * (activeButtons - i)) + "px) scale(1); transition-delay: "+((i + 1)*0.075)+"s; opacity: 0; visibility:hidden;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(1); transform: translateX(0px)  scale(1); opacity: 1; visibility: visible;}";
                        } else if(menu_animation == "ginger-menu-fade"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); opacity: 0; visibility: hidden; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1);  opacity: 1; visibility: visible;}";
                        } else if(menu_animation == "ginger-menu-spin"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px)  rotate(0deg); transform: translateX(0px)  rotate(0deg); opacity: 0; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) rotate(360deg); transform: translateX(0px) rotate(360deg); opacity: 1;}";
                        } else if(menu_animation == "ginger-menu-pop"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(0); transform: translateX(0px) scale(0); transition-delay: "+((activeButtons - i - 1)*0.075)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(1); transform: translateX(0px) scale(1);}";
                        } else {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: none;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: block;}";
                        }
                        //customCSS += "#gsb-buttons-" + button.id + ".open-buttons .gsb-button-list .chat-button:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(-" + ((widgetSize + 8) * (activeButtons - i)) + "px) scale(1) rotate(360deg); transform: translateX(-" + ((widgetSize + 8) * (activeButtons - i)) + "px)  scale(1) rotate(360deg);}";
                    } else {
                        if(menu_animation == "ginger-menu-none") {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: none;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: block;}";
                        } else if(menu_animation == "ginger-menu-slide") {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(-" + ((widgetSize + 5) * (activeButtons - i)) + "px) scale(1); transform: translateX(-" + ((widgetSize + 5) * (activeButtons - i)) + "px) scale(1); transition-delay: "+((i + 1)*0.075)+"s; opacity: 0; visibility: hidden;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(1); transform: translateX(0px)  scale(1); opacity: 1; visibility :visible;}";
                        } else if(menu_animation == "ginger-menu-fade"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); opacity: 0; visibility: hidden; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1);  opacity: 1; visibility: visible;}";
                        } else if(menu_animation == "ginger-menu-spin"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px)  rotate(0deg); transform: translateX(0px)  rotate(0deg); opacity :0; transition-delay: "+((activeButtons - i - 1)*0.1)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) rotate(360deg); transform: translateX(0px) rotate(360deg); opacity: 1;}";
                        } else if(menu_animation == "ginger-menu-pop"){
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(0); transform: translateX(0px) scale(0); transition-delay: "+((activeButtons - i - 1)*0.075)+"s;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px) scale(1); transform: translateX(0px) scale(1);}";
                        } else {
                            inlineCSS += ".ginger-sticky-buttons .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: none;}";
                            inlineCSS += ".ginger-sticky-buttons.menu-open .button-list .channel-btn:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(0px); transform: translateX(0px)  scale(1); display: block;}";
                        }
                        //customCSS += "#gsb-buttons-" + button.id + ".open-buttons .gsb-button-list .chat-button:nth-child(" + (i + 1) + ") {-webkit-transform: translateX(" + ((widgetSize + 8) * (activeButtons - i)) + "px) scale(1) rotate(360deg); transform: translateX(" + ((widgetSize + 8) * (activeButtons - i)) + "px)  scale(1) rotate(360deg);}";
                    }
                }
            }

            if($("input[name='tooltip_settings[tooltip_height]']").val() == '') {
                tempString = 0;
            }else {
                tempString = parseInt($("input[name='tooltip_settings[tooltip_height]']").val());
            }
            inlineCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before{line-height: "+tempString+"px}";

            if($("input[name='tooltip_settings[border_radius]']").val() == '') {
                tempString = 0;
            }else {
                tempString = parseInt($("input[name='tooltip_settings[border_radius]']").val());
            }
            inlineCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before{border-radius: "+tempString+"px}";

            if($("input[name='tooltip_settings[font_size]']").val() == '') {
                tempString = 0;
            }else {
                tempString = parseInt($("input[name='tooltip_settings[font_size]']").val());
            }
            inlineCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before{font-size: "+tempString+"px}";

            if($("input[name='tooltip_settings[tooltip_height]']").val() == '' && $("input[name='tooltip_settings[border_radius]']").val() == '' && $("input[name='tooltip_settings[font_size]']").val() == '' ) {
                inlineCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:before { padding: 0px; }";
                inlineCSS += ".ginger-sticky-buttons [data-ginger-tooltip]:after { border: 0; }";
            }

            inlineCSS += "</style>";

            if($(".ginger-sticky-buttons .button-list .ginger-button-icon").length > 0 && $(".channel-title").length > 0) {
                $(".channel-title").each(function(){
                    tempString = $(this).attr("data-channel");
                    $(".ginger-sticky-buttons .button-list .ssb-btn-bg-"+tempString).attr("data-ginger-tooltip", $(this).val());
                });
            }

            $(".inline-style").html(inlineCSS);

        } else {
            $(".ginger-sticky-buttons").hide();
        }
    }

    function saveChannelOrder() {
        tempString = "";
        $(".selected-button-settings .gsb-settings").each(function(){
            tempString += $(this).data("button")+",";
        });
        $("#gsb_selected_channels").val(tempString);
        setSocialButtonPreview();
    }


    function make_header_scticky() {
        if ($("#ginger-sticky-element").length) {
            var excludeHeight = 15;
            if (!$("#wpadminbar").hasClass("mobile")) {
                excludeHeight = 15 + parseInt($("#wpadminbar").height());
            }
            var topPosition = $("#ginger-sticky-element").offset().top - excludeHeight - $(window).scrollTop();
            $(".ginger-sticky-box").width($(".ginger-box-right").innerWidth() - 24);
            if (topPosition <= 0) {
                if (!$(".ginger-box-layout").hasClass("sticky")) {
                    $(".ginger-box-layout").addClass("sticky");
                    //$(".ginger-sticky-box").width($(".ginger-box-right").innerWidth() - 24);
                }
            } else {
                $(".ginger-box-layout").removeClass("sticky");
                //$(".ginger-box.ginger-sticky-box").width("width", "auto");
            }
            if($("#analytics-settings").length) {
                if ($(".ginger-box-layout").hasClass("sticky")) {
                    topPosition = $("#analytics-settings").offset().top - excludeHeight - $(window).scrollTop() - $(".ginger-sticky-box").height() + 15;
                    if(topPosition < 0) {
                        $(".ginger-sticky-box").css("margin-top",topPosition+"px");
                    } else {
                        $(".ginger-sticky-box").css("margin-top","0");
                    }
                }
            }
        }
        if($(".preview-layout").length) {
            // $(".preview-layout .preview-layout").width(parseInt($(".ginger-sticky-content").width());
            tempString = $("input[name='device_switch']:checked").val();
            if(tempString != "mobile") {
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width() * 0.6));
            } else {
                $(".preview-layout .inner").height(parseInt($(".preview-layout .inner").width()*1.6));
            }
        }
    }


    function showRequest(formData, jqForm, options) {
        $(".save-changes").prop("disabled", true);
        $(".save-changes + .scw-loader").addClass("active");
    }

    function showResponse(responseText, statusText, xhr, $form) {
        $(".save-changes + .scw-loader").removeClass("active");
        responseText = $.parseJSON(responseText);
        const swipeHandler = new SwipeHandler();
        const toastsHandler = new ToastsHandler(swipeHandler);
        if(responseText.status == 1) {
            toastsHandler.createToast({
                type: "success",
                icon: "info-circle",
                message: responseText.message,
                duration: 5000
            });
            setTimeout(function(){
                window.location = responseText.data.URL;
            }, 1000);
        } else {
            $(".save-changes").prop("disabled", false);
            toastsHandler.createToast({
                type: "error",
                icon: "info-circle",
                message: responseText.message,
                duration: 5000
            });
        }
    }

    function triggerColorChange() {
        setSocialButtonPreview();
    }
})(jQuery);