<?php
/**
    Plugin Name: Sticky Chat Widget
    Description: Connect with your valuable website visitors through Sticky Chat Widget that consist of current trendy chat options
    Version:     1.1.5
    Author: Ginger Plugins
    Author URI: https://www.gingerplugins.com/downloads/sticky-chat-widget/
    Text Domain: sticky-chat-widget
    Domain Path: /languages
    License: GPL2
 *
 * @author  : Ginger Plugins <gingerplugins@gmail.com>
 * @license : GPL2
 */

defined('ABSPATH') or die('Direct Access is not allowed');


if (!defined('GSB_PLUGIN_URL')) {
    define("GSB_PLUGIN_URL", plugin_dir_url(__FILE__));
}

if (!defined('GSB_PLUGIN_VERSION')) {
    define("GSB_PLUGIN_VERSION", "1.1.5");
}

if (!defined('GSB_PLUGIN_BASE')) {
    define("GSB_PLUGIN_BASE", plugin_basename(__FILE__));
}

if (!defined('GSB_DEV_VERSION')) {
    define("GSB_DEV_VERSION", false);
}

// Include social icon class.
require_once dirname(__FILE__)."/includes/social-icons.php";

if (!is_admin()) {
    include_once dirname(__FILE__)."/includes/front-end.php";
}

// Include backend files for settings.
if (is_admin()) {
    include_once dirname(__FILE__)."/admin/admin.php";
    include_once dirname(__FILE__)."/admin/admin-common.php";
}


// Redirect on setting page on activation.
if (!function_exists("gsw_redirect_on_activate")) {
    add_action('activated_plugin', 'gsw_redirect_on_activate');

    /**
     * Redirect to dashboard page on activate of plugin.
     *
     * @since  1.1.2
     * @param  string $plugin The name of plugin.
     * @return null
     */
    function gsw_redirect_on_activate($plugin)
    {
        if ($plugin == plugin_basename(__FILE__)) {
            $installDate = get_option("scw_install_date");
            if ($installDate === false) {
                add_option("scw_install_date", date("Y-m-d H:i:s"));
            }

            $adminUrl = esc_url(admin_url('admin.php?page=sticky-chat-widget'));
            wp_redirect($adminUrl);
            exit;
        }

    }//end gsw_redirect_on_activate()

}//end if
